org.apache.lucene.codecs.asserting

## Class AssertingNormsFormat

- java.lang.Object
- - org.apache.lucene.codecs.NormsFormat
  - - org.apache.lucene.codecs.asserting.AssertingNormsFormat

    public class AssertingNormsFormat
    extends NormsFormat

Just like the default but with additional asserts.

### Constructor Summary

Constructors
Constructor and Description
`AssertingNormsFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NormsConsumer` `normsConsumer(SegmentWriteState state)`
`NormsProducer` `normsProducer(SegmentReadState state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingNormsFormat

    public AssertingNormsFormat()

### Method Detail

#### normsConsumer

    public NormsConsumer normsConsumer(SegmentWriteState state)
                                throws IOException

Specified by:
  `normsConsumer` in class `NormsFormat`
Throws:
  `IOException`

#### normsProducer

    public NormsProducer normsProducer(SegmentReadState state)
                                throws IOException

Specified by:
  `normsProducer` in class `NormsFormat`
Throws:
  `IOException`